# Class ValidatorXml

java.lang.Object
org.apache.tomcat.util.descriptor.tld.ValidatorXml

public class ValidatorXml extends Object
Model of a Tag Library Validator from the XML descriptor.

## Constructor Summary

Constructors
Constructor
Description
`ValidatorXml()`
Constructs a new ValidatorXml.

## Method Summary

Modifier and Type
Method
Description
`void`
`addInitParam(String name, String value)`
Adds an initialization parameter.
`Map<String,String>`
`getInitParams()`
Returns the initialization parameters.
`String`
`getValidatorClass()`
Returns the validator class name.
`void`
`setValidatorClass(String validatorClass)`
Sets the validator class name.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidatorXml

public ValidatorXml()
Constructs a new ValidatorXml.

## Method Details

### getValidatorClass

public String getValidatorClass()
Returns the validator class name.

Returns:
  the validator class name

### setValidatorClass

public void setValidatorClass(String validatorClass)
Sets the validator class name.

Parameters:
  `validatorClass` - The validator class name

### addInitParam

public void addInitParam(String name, String value)
Adds an initialization parameter.

Parameters:
  `name` - The parameter name
  `value` - The parameter value

### getInitParams

public Map<String,String> getInitParams()
Returns the initialization parameters.

Returns:
  the initialization parameters